## assaultcube 1.2.0.2.1

=== source/src/Makefile ===
# Ideally, you can override these parameters directly via the commandline, or by
# creating a seperate 'Makefile_local' file (this way, your changes aren't
# accidentally commited to the AssaultCube repository).

# AssaultCube now uses clang++ as a compiler, as there have been random crashes
# found to have been caused by the g++ compiler in the past. This seems to have
# been fixed now by relaxing the optimization that g++ does, so although we'll
# continue using clang++ (just in case), you can use g++ if you prefer.
CXX=clang++

# Changing this to ACDEBUG=yes will compile a debug version of AssaultCube.
ACDEBUG=no

PLATFORM=$(shell uname -s)

# This prefix is only used to name the installed executables.
PLATFORM_PREFIX=native

# As above, this file is optional only.
-include Makefile_local


ifeq ($(ACDEBUG),yes)
	CXXFLAGS= -O0
	override CXXFLAGS+= -g -O2 -D_DEBUG
endif

ifneq (,$(findstring clang,$(CXX)))
	CXXFLAGS= -g -O2 -fomit-frame-pointer
	override CXXFLAGS+= -fPIE -Wall -fsigned-char
else
	CXXFLAGS= -g -O2 -fomit-frame-pointer
	override CXXFLAGS+= -Wall -fsigned-char -ffast-math -rdynamic -Wno-format-zero-length
endif

INCLUDES= -I. -Ibot -I../enet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv
RM=rm -rf
ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -I../include
CLIENT_LIBS= -mwindows -L../lib -lSDL2 -lSDL2_image -lzdll -lopengl32 -lenet -lOpenAL32 -llibvorbisfile -lws2_32 -lwinmm
else
USRLIB=$(shell if [ -e /usr/lib64 ]; then echo "/usr/lib64"; else echo "/usr/lib"; fi)
CLIENT_INCLUDES= $(INCLUDES) -I/usr/include `sdl2-config --cflags` -idirafter ../include
CLIENT_LIBS= -L../enet/.libs -lenet -L$(USRLIB) `sdl2-config --libs` -lSDL2_image -lz -lGL -lopenal -lvorbisfile
endif

CLIENT_OBJS= \
	crypto.o \
	audiomanager.o \
	autodownload.o \
	client.o \
	clientgame.o \
	clients2c.o \
	command.o \
	console.o \
	docs.o \
	editing.o \
	entities.o \
	http.o \
	log.o \
	main.o \
	menus.o \
	oggstream.o \
	openal.o \
	packetqueue.o \
	physics.o \
	protocol.o \
	rendercubes.o \
	rendergl.o \
	renderhud.o \
	rendermodel.o \
	renderparticles.o \
	rendertext.o \
	rndmap.o \
	scoreboard.o \
	serverms.o \
	server.o \
	serverbrowser.o \
	shadow.o \
	soundlocation.o \
	soundscheduler.o \
	stream.o \
	texture.o \
	tools.o \
	water.o \
	weapon.o \
	wizard.o \
	world.o \
	worldio.o \
	worldlight.o \
	worldocull.o \
	worldrender.o \
	zip.o \
	bot/bot.o \
	bot/botmanager.o \
	bot/bot_ai.o \
	bot/bot_util.o \
	bot/bot_waypoint.o \
	bot/ac_bot.o \
	bot/ac_bot_ai.o

CLIENT_PCH= cube.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -I../include
SERVER_LIBS= -L../lib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -L../enet/.libs -lenet -lz -lpthread
ifeq (,$(findstring OpenBSD,$(PLATFORM)))
SERVER_LIBS+= -lrt
endif
endif

SERVER_OBJS= \
	crypto-standalone.o \
	log-standalone.o \
	protocol-standalone.o \
	serverms-standalone.o \
	server-standalone.o \
	stream-standalone.o \
	tools-standalone.o \
	wizard-standalone.o
MASTER_OBJS= \
	crypto-standalone.o \
	stream-standalone.o \
	command-standalone.o \
	master-standalone.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

all: client server

../enet/Makefile:
	cd ../enet; ./configure --enable-shared=no --enable-static=yes

libenet: ../enet/Makefile
	-$(MAKE) -C ../enet all

clean-enet: ../enet/Makefile
	$(MAKE) -C ../enet/ distclean || true
	-$(RM) ../enet/autom4te.cache

clean: clean-enet
	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) ac_client ac_server ac_master profile

mrproper: clean ../enet/Makefile
	$(MAKE) -C ../enet/ distclean || true
	-$(RM) ../enet/Makefile

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -x c++-header -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

rendermodel.o: rendermodel.cpp
	$(CXX) $(CXXFLAGS) -fno-strict-aliasing -c -o $@ $(subst .o,.cpp,$@)

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(CLIENT_OBJS): $(CLIENT_PCH)
$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
client: $(CLIENT_OBJS)
	$(WINDRES) -I ../vcpp -i ../vcpp/assaultcube.rc -J rc -o ../vcpp/assaultcube.res -O coff
	$(CXX) $(CXXFLAGS) -o ../../bin_win32/ac_client.exe ../vcpp/assaultcube.res $(CLIENT_OBJS) $(CLIENT_LIBS)

server: $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../../bin_win32/ac_server.exe $(SERVER_OBJS) $(SERVER_LIBS)

master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../../bin_win32/ac_master.exe $(MASTER_OBJS) $(SERVER_LIBS)

client_install: client
server_install: server

else
client: libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_client $(CLIENT_OBJS) $(CLIENT_LIBS)

server: libenet $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_server $(SERVER_OBJS) $(SERVER_LIBS)
master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_master $(MASTER_OBJS) $(SERVER_LIBS)

client_install: client
	install -d ../../bin_unix/
	install -m755 ac_client ../../bin_unix/$(PLATFORM_PREFIX)_client
#ifneq (,$(STRIP))
#	$(STRIP) ../../bin_unix/$(PLATFORM_PREFIX)_client
#endif

server_install: server
	install -d ../../bin_unix/
	install -m755 ac_server ../../bin_unix/$(PLATFORM_PREFIX)_server
#ifneq (,$(STRIP))
#	$(STRIP) ../../bin_unix/$(PLATFORM_PREFIX)_server
#endif

endif

install: client_install server_install

depend:
	makedepend -Y -I. -Ibot $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -I. -Ibot $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -I. -Ibot $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -I. $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

# DO NOT DELETE

crypto.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
crypto.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
crypto.o: protos.h crypto_tools.h ge25519_base.data
audiomanager.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
audiomanager.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
audiomanager.o: protos.h
autodownload.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
autodownload.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
autodownload.o: protos.h
client.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
client.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
client.o: protos.h bot/bot.h bot/bot_util.h bot/bot_waypoint.h bot/ac_bot.h
clientgame.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
clientgame.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
clientgame.o: protos.h bot/bot.h bot/bot_util.h bot/bot_waypoint.h
clientgame.o: bot/ac_bot.h
clients2c.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
clients2c.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
clients2c.o: protos.h bot/bot.h bot/bot_util.h bot/bot_waypoint.h
clients2c.o: bot/ac_bot.h
command.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
command.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
command.o: protos.h
console.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
console.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
console.o: protos.h
docs.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h weapon.h
docs.o: entity.h world.h command.h varray.h vote.h console.h protos.h
editing.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
editing.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
editing.o: protos.h
entities.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
entities.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
entities.o: protos.h
http.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h weapon.h
http.o: entity.h world.h command.h varray.h vote.h console.h protos.h
log.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h weapon.h
log.o: entity.h world.h command.h varray.h vote.h console.h protos.h
main.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h weapon.h
main.o: entity.h world.h command.h varray.h vote.h console.h protos.h
main.o: jpegenc.h
menus.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h weapon.h
menus.o: entity.h world.h command.h varray.h vote.h console.h protos.h
oggstream.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
oggstream.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
oggstream.o: protos.h
openal.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
openal.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
openal.o: protos.h
packetqueue.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
packetqueue.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
packetqueue.o: protos.h
physics.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
physics.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
physics.o: protos.h
protocol.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
protocol.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
protocol.o: protos.h
rendercubes.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
rendercubes.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
rendercubes.o: protos.h
rendergl.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
rendergl.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
rendergl.o: protos.h bot/bot.h bot/bot_util.h bot/bot_waypoint.h bot/ac_bot.h
renderhud.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
renderhud.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
renderhud.o: protos.h
rendermodel.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
rendermodel.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
rendermodel.o: protos.h tristrip.h modelcache.h vertmodel.h md2.h md3.h
renderparticles.o: cube.h platform.h tools.h geom.h model.h protocol.h
renderparticles.o: sound.h weapon.h entity.h world.h command.h varray.h
renderparticles.o: vote.h console.h protos.h
rendertext.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
rendertext.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
rendertext.o: protos.h
rndmap.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
rndmap.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
rndmap.o: protos.h
scoreboard.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
scoreboard.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
scoreboard.o: protos.h
serverms.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
serverms.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
serverms.o: protos.h
server.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
server.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
server.o: protos.h server.h servercontroller.h serverfiles.h serverchecks.h
server.o: serverevents.h serveractions.h
serverbrowser.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
serverbrowser.o: weapon.h entity.h world.h command.h varray.h vote.h
serverbrowser.o: console.h protos.h
shadow.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
shadow.o: weapon.h entity.h world.h command.h varray.h vote.h console.h
shadow.o: protos.h
soundlocation.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
soundlocation.o: weapon.h entity.h world.h command.h varray.h vote.h
soundlocation.o: console.h protos.h
soundscheduler.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h

=== debian/changelog ===
assaultcube (1.2.0.2.1-5) unstable; urgency=medium

  * Fix typo in Depdendency on assault-data found 3 seconds after the
    upload…

 -- Tobias Frost <tobi@debian.org>  Fri, 02 Sep 2022 13:27:11 +0200

assaultcube (1.2.0.2.1-4) unstable; urgency=medium

  * Team upload.
  * Revert changes in git repository from 1.2.0.2.1-3, which was
    never released but tagged in the git repo:
     - Inappropriate change of upstream references to coriango's forks.
     - break/conflict changed version of break to a later version
       which is likely wrong
     note: the below changelogs for -3 are left as it, but they are
     not documenting what actually has been changed in -3.
  * Do not compile with clang, as this fails with dh_dwz (Closes: #1016935)
  * Remove debian/upstream/signing-key.asc. This is not upstream's, but
    coriango's one.
  * Fix overrides for renamed lintian tags.
  * Update d/copyright fixing some lintian warnings with it.
  * Bump S-V to 4.6.1 (no changes).
  * Specify Rules-Requires-Root.
  * Bump compat level to 13 (no changes).
  * Fix unknown-fields errors in upstream/metadata.
  * New patch, so that CXXFLAGS are kept during build and hardening not
    defeated.

 -- Tobias Frost <tobi@debian.org>  Fri, 02 Sep 2022 13:20:34 +0200

assaultcube (1.2.0.2.1-3) UNRELEASED; urgency=medium

  * debian/control: (Closes: #728193)
    + Added Breaks+Replaces

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 08 Sep 2019 13:42:33 -0300

assaultcube (1.2.0.2.1-2) unstable; urgency=medium

  * New maintainer. (Closes: #728193)
  * debian/control:
    + Changed versioned in "depends+breaks+replaces" to avoid version conflict.
  * debian/copyright: Modified upstream URL in "Source:".
  * debian/upstream:
    + Updated upstream URL information in metadata.
    - Signed non-upstream key removed.
  * Updated upstream URL in debian/watch.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 17 Sep 2019 01:40:34 -0300

assaultcube (1.2.0.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #726355, #727026, #779617)
  * Removed files (outdated):
    - d/assaultcube.dirs.
    - d/assautcube.xpm.
    - d/autoreconf.
    - d/compat.
    - d/patches.
    - d/README.Debian.
    - d/README.source.
  * debian/assaultcube.desktop: Updated '.desktop' application shortcut file.
  * debian/assaultcube.install: Updated directory paths.
  * debian/changelog: Corrected file containing white space.
  * debian/control:
    + Build-Depends: Libraries updated for SDL2.
    + Bumped Standards-Version to 4.4.0.
    - Changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
    + Changed upstream Vcs-* URLs in salsa.d.g. (Closes: #900467)
    + Long description organized.
  * debian/copyright:
    + Organized copyright for each software license.
    + Format-uri: Changed unversioned copyright format uri.
    + Adding myself copyright in debian/*.
  * Added debian/assaultcube.docs
  * Added debian/clean
  * debian/rules:
    - Changed and removed get-orig-source and version checking.
  * debian/scripts: Updated executable scripts.
  * debian/upstream: Included metadata and signature key.
  * debian/watch: Changed to personal git mirrored in upstream git.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 04 Aug 2019 21:13:24 -0300

assaultcube (1.1.0.4+dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with GCC 6. (Closes: #836927)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 19:42:32 +0200

=== debian/control ===
Source: assaultcube
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libopenal-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libvorbis-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/assaultcube.git
Vcs-Browser: https://salsa.debian.org/games-team/assaultcube
Homepage: http://assault.cubers.net
Rules-Requires-Root: no

Package: assaultcube
Architecture: any
Depends: assaultcube-data (>= 1.2.0.2), assaultcube-data (<< 1.3.0~), ${misc:Depends}, ${shlibs:Depends}
Breaks: assaultcube-data (<< 1.2.0.2)
Replaces: assaultcube-data (<< 1.2.0.2)
Description: realistic first-person-shooter
 AssaultCube, formerly ActionCube, is a first-person-shooter based on the
 game Cube.
 .
 Set in a realistic looking environment, as far as that's possible with this
 engine, while gameplay stays fast and arcade. This game is all about team
 oriented multiplayer fun.

## assaultcube 1.3.0.2+dfsg

=== source/src/Makefile ===
--- 
+++ 
@@ -8,13 +8,21 @@
 # continue using clang++ (just in case), you can use g++ if you prefer.
 CXX=clang++
 
-# Changing this to ACDEBUG=yes will compile a debug version of AssaultCube.
-ACDEBUG=no
+# call like 'DEBUGBUILD=1 make' to compile a debug version of AssaultCube.
+ifdef DEBUGBUILD
+    ACDEBUG=yes
+else
+    ACDEBUG=no
+endif
 
 PLATFORM=$(shell uname -s)
 
 # This prefix is only used to name the installed executables.
-PLATFORM_PREFIX=native
+ifdef DEBUGBUILD
+    PLATFORM_PREFIX=debug
+else
+    PLATFORM_PREFIX=native
+endif
 
 # As above, this file is optional only.
 -include Makefile_local
@@ -22,15 +30,18 @@
 
 ifeq ($(ACDEBUG),yes)
 	CXXFLAGS= -O0
-	override CXXFLAGS+= -g -O2 -D_DEBUG
+	override CXXFLAGS+= -g -D_DEBUG
 endif
 
 ifneq (,$(findstring clang,$(CXX)))
-	CXXFLAGS= -g -O2 -fomit-frame-pointer
-	override CXXFLAGS+= -fPIE -Wall -fsigned-char
-else
-	CXXFLAGS= -g -O2 -fomit-frame-pointer
+	CXXFLAGS= -O3 -fomit-frame-pointer
+	override CXXFLAGS+= -Wall -fsigned-char
+else
+	CXXFLAGS= -O3 -fomit-frame-pointer
 	override CXXFLAGS+= -Wall -fsigned-char -ffast-math -rdynamic -Wno-format-zero-length
+	ifeq "$(shell expr 'gcc -dumpversion' \>= 8)" "1"
+		override CXXFLAGS+= -Wno-stringop-truncation
+	endif
 endif
 
 INCLUDES= -I. -Ibot -I../enet/include
@@ -43,7 +54,6 @@
 endif
 
 MV=mv
-RM=rm -rf
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 WINDRES= windres
 CLIENT_INCLUDES= $(INCLUDES) -I../include
@@ -51,7 +61,7 @@
 else
 USRLIB=$(shell if [ -e /usr/lib64 ]; then echo "/usr/lib64"; else echo "/usr/lib"; fi)
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/include `sdl2-config --cflags` -idirafter ../include
-CLIENT_LIBS= -L../enet/.libs -lenet -L$(USRLIB) `sdl2-config --libs` -lSDL2_image -lz -lGL -lopenal -lvorbisfile
+CLIENT_LIBS= -L../enet/.libs -lenet -L$(USRLIB) -lX11 `sdl2-config --libs` -lSDL2_image -lz -lGL -lopenal -lvorbisfile
 endif
 
 CLIENT_OBJS= \
@@ -132,7 +142,6 @@
 	tools-standalone.o \
 	wizard-standalone.o
 MASTER_OBJS= \
-	crypto-standalone.o \
 	stream-standalone.o \
 	command-standalone.o \
 	master-standalone.o
@@ -153,14 +162,13 @@
 	-$(MAKE) -C ../enet all
 
 clean-enet: ../enet/Makefile
-	$(MAKE) -C ../enet/ distclean || true
-	-$(RM) ../enet/autom4te.cache
-
-clean: clean-enet
-	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) ac_client ac_server ac_master profile
+	$(MAKE) -C ../enet/ clean
+
+clean:
+	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) ac_client ac_server ac_master
 
 mrproper: clean ../enet/Makefile
-	$(MAKE) -C ../enet/ distclean || true
+	$(MAKE) -C ../enet/ distclean
 	-$(RM) ../enet/Makefile
 
 %.h.gch: %.h
@@ -194,12 +202,12 @@
 
 else
 client: libenet $(CLIENT_OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_client $(CLIENT_OBJS) $(CLIENT_LIBS)
+	$(CXX) $(CXXFLAGS) -o ac_client $(CLIENT_OBJS) $(CLIENT_LIBS)
 
 server: libenet $(SERVER_OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_server $(SERVER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o ac_server $(SERVER_OBJS) $(SERVER_LIBS)
 master: libenet $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o ac_master $(MASTER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o ac_master $(MASTER_OBJS) $(SERVER_LIBS)
 
 client_install: client
 	install -d ../../bin_unix/
@@ -325,4 +333,3 @@
 soundlocation.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h
 soundlocation.o: weapon.h entity.h world.h command.h varray.h vote.h
 soundlocation.o: console.h protos.h
-soundscheduler.o: cube.h platform.h tools.h geom.h model.h protocol.h sound.h

=== debian/changelog ===
assaultcube (1.3.0.2+dfsg-5) unstable; urgency=medium

  * Make postinst more verbose, so that download errors will be
    more prominent. Thank to Axel for the hint! Closes: #1021351.
  * Depend on ca-certificates to avoid SSL errors during download.

 -- Tobias Frost <tobi@debian.org>  Thu, 06 Oct 2022 20:15:25 +0200

assaultcube (1.3.0.2+dfsg-4) unstable; urgency=medium

  * Enable autobuild on the buildds: The package has been added
    to the ACL.

 -- Tobias Frost <tobi@debian.org>  Wed, 05 Oct 2022 15:57:26 +0200

assaultcube (1.3.0.2+dfsg-3) unstable; urgency=medium

  * Temporarily revert "Mark package as autobuildable on the buildds."

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Oct 2022 15:53:58 +0200

assaultcube (1.3.0.2+dfsg-2) experimental; urgency=medium

  * Use https:// everywhere.
  * Mark package as autobuildable on the buildds.
  * Add a simple autopkgtest to verify that data download works.

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Oct 2022 14:32:04 +0200

assaultcube (1.3.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Move to non-free -- see d/copyright for reasoning.
  * Set myself as Uploader.
  * Refresh patches.
  * Cherry-pick assaultcube.png from upstream to be used in the desktop file.
  * Cherry-pick manpages from assaultcube-data.
  * Prepare package to download game data during installation. See #935669#57
    and #1018969 for background.
  * Remove no longer needed assaultcube.lintian-overrides.

 -- Tobias Frost <tobi@debian.org>  Sun, 25 Sep 2022 12:17:02 +0200

=== debian/control ===
Source: assaultcube
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libopenal-dev,
               libsdl2-dev,
               libsdl2-image-dev,
               libvorbis-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/games-team/assaultcube.git
Vcs-Browser: https://salsa.debian.org/games-team/assaultcube
Homepage: https://assault.cubers.net
Rules-Requires-Root: no
XS-Autobuild: yes

Package: assaultcube
Architecture: any
Depends: wget, bzip2, ca-certificates, ${misc:Depends}, ${shlibs:Depends}
Breaks: assaultcube-data
Replaces: assaultcube-data
Description: realistic first-person-shooter
 AssaultCube, formerly ActionCube, is a first-person-shooter based on the
 game Cube.
 .
 Set in a realistic looking environment, as far as that's possible with this
 engine, while gameplay stays fast and arcade. This game is all about team
 oriented multiplayer fun.
 .
 The game data required to play this game will be downloaded automatically
 when this package is installed.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
VERSION ?= $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie -Wl,-z,now

%:
	dh $@ --sourcedirectory=source/src
	
override_dh_installdeb:
	sed 's/#VERSION#/$(VERSION)/g' debian/assaultcube.postinst.in > debian/assaultcube.postinst
	dh_installdeb

=== debian/tests/control ===
Tests: ac-download-test
Depends: wget, bzip2, ca-certificates
Restrictions: allow-stderr, superficial, needs-internet, needs-root

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
     dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg" \
   https://github.com/assaultcube/AC/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
